Bug 109061 - LTC5248-Missing symbol in compat-libstdc++ library, needed for DB2
Summary: LTC5248-Missing symbol in compat-libstdc++ library, needed for DB2
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: compat-libs   
(Show other bugs)
Version: 3.0
Hardware: s390 Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 106472
TreeView+ depends on / blocked
 
Reported: 2003-11-04 18:18 UTC by Frank LeFevre
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-16 17:07:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:356 normal SHIPPED_LIVE Updated compat-libstdc++ packages available for s390, zSeries 2003-11-17 05:00:00 UTC

Description Frank LeFevre 2003-11-04 18:18:21 UTC
The following has be reported by IBM LTC:  
Missing symbol in compat-libstdc++ library, needed for DB2
Hardware Environment: z990

Software Environment: RHEL 3 GA and DB2 V8.1

Steps to Reproduce:
1.[root@rhel30 lib]# nm -o /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so 
|  grep
  __udiv_w_sdiv
  [root@rhel30 lib]# nm -o /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so 
|  grep
  udiv
  
Actual Results:
  libstdc++-3-libc6.2-2-2.10.0.so:         U __udivdi3@@GLIBC_2.0

Expected Results:
  libstdc++-3-libc6.2-2-2.10.0.so:0002de94 T __udiv_w_sdiv

Additional Information:

Comment 1 Jakub Jelinek 2003-11-07 00:58:46 UTC
__udiv_w_sdiv is certainly not part of the libstdc++ ABI, just a symbol
from libgcc.a exported from the library as a side effect of its implementation.
Programs and shared libraries should be getting their own copies
from libgcc.a.
Anyway, I've forced it by -Wl,-u,__div_w_sdiv into libstdc++-3-libc6.2-2-2.10.0.so
on s390.
Can you please test:
ftp://people.redhat.com/jakub/compat-gcc/7.2-2.95.3.77/
?

Comment 2 Frank LeFevre 2003-11-07 21:38:38 UTC
This appears to have fixed our problem. The instance was created and 
we were able to stop and start db2. Was a bit confused by the compat-
gcc file though. Was that there just to provide us the source? We did 
a rpmbuild -bb on the spec and it only built the compat-libstdc rpm, 
not compat-gcc. Thanks. 

Comment 3 Florian La Roche 2003-11-24 17:09:16 UTC
-2.95.3.38 is in our current trees, so that should be ok. Setting to
modified.

greetings,

Florian La Roche


Comment 4 Jay Turner 2004-01-16 17:07:07 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-356.html



Note You need to log in before you can comment on or make changes to this bug.